Bug 96975 - Error installing lilo.conf, Kernel /boot/vmlinux-2.4.20-18.7 is too big
Summary: Error installing lilo.conf, Kernel /boot/vmlinux-2.4.20-18.7 is too big
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: up2date-rhel2.1-u6
TreeView+ depends on / blocked
 
Reported: 2003-06-07 14:41 UTC by George Cashman
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-26 21:27:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description George Cashman 2003-06-07 14:41:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; .NET CLR 
1.0.3705)

Description of problem:
Use up2date to up date  Kernel "vmlinux-2.4.20-18.7", update was ok except lilo 
sent error message "Error installing lilo.conf  The message was: test install 
of lilo failed". I then maually edited lilo, ran "/sbin/lilo -v", returns 
error "Fatal: Kernel /boot/vmlinux-2.4.20-18.7 is too big"

Version-Release number of selected component (if applicable):
kernel-2.4.20-18.7

How reproducible:
Always

Steps to Reproduce:
1.run "/sbin/lilo -v"
2.
3.
    

Actual Results:  [root@ns2 /etc]# /sbin/lilo -v
LILO version 21.4-4, Copyright (C) 1992-1998 Werner Almesberger
'lba32' extensions Copyright (C) 1999,2000 John Coffman

Reading boot sector from /dev/hda
Merging with /boot/boot.b
Mapping message file /boot/message
Boot image: /boot/vmlinuz-2.4.18-18.7.x
Added linux.bak1234
Boot image: /boot/vmlinuz-2.4.18-18.7.xsmp
Added linux-smp
Boot image: /boot/vmlinuz-2.4.18-27.7.x
Added linux *
Boot image: /boot/vmlinux-2.4.20-18.7
Fatal: Kernel /boot/vmlinux-2.4.20-18.7 is too big

Additional info:

Comment 1 Jeremy Katz 2003-06-13 19:55:41 UTC
Adrian -- do you know of a reason why up2date would be trying to add the vmlinux
instead of the vmlinuz to lilo.conf?


Note You need to log in before you can comment on or make changes to this bug.